Bug 473424 - Kernel freezes when booted without a disc in the DVD drive
Kernel freezes when booted without a disc in the DVD drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 08:18 EST by Simon Andrews
Modified: 2009-12-18 02:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:00:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg from system booted with disc in the drive (46.91 KB, text/plain)
2008-11-28 08:18 EST, Simon Andrews
no flags Details

  None (edit)
Description Simon Andrews 2008-11-28 08:18:20 EST
Created attachment 324989 [details]
Dmesg from system booted with disc in the drive

Description of problem:

When booting the F10 release kernel the kernel will freeze when trying to initalise the DVD drive if there isn't a disc present in the drive.


Version-Release number of selected component (if applicable):
kernel-2.6.27.5-117.fc10.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Install F10
2. Remove install disc from drive
3. Reboot
  
Actual results:

Kernel freezes during SCSI initialisation

Expected results:

Boot proceeds.

Additional info:

The last messages before the freeze are:

scsi 2:2:1:0: Direct-Access     DELL     PERC 6/i         1.11 PQ: 0 ANSI: 5
scsi 2:0:32:0: Attached scsi generic sg1 type 13
sd 2:2:0:0: [sda] 155189248 512-byte hardware sectors (79457 MB)
sd 2:2:0:0: [sda] Write Protect is off
sd 2:2:0:0: [sda] Mode Sense: 1f 00 00 08
sd 2:2:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 2:2:0:0: [sda] 155189248 512-byte hardware sectors (79457 MB)
sd 2:2:0:0: [sda] Write Protect is off
sd 2:2:0:0: [sda] Mode Sense: 1f 00 00 08
sd 2:2:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
sd 2:2:0:0: [sda] Attached SCSI disk
sd 2:2:0:0: Attached scsi generic sg2 type 0
sd 2:2:1:0: [sdb] 2927099904 512-byte hardware sectors (1498675 MB)
sd 2:2:1:0: [sdb] Write Protect is off
sd 2:2:1:0: [sdb] Mode Sense: 1f 00 00 08
sd 2:2:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 2:2:1:0: [sdb] 2927099904 512-byte hardware sectors (1498675 MB)
sd 2:2:1:0: [sdb] Write Protect is off
sd 2:2:1:0: [sdb] Mode Sense: 1f 00 00 08
sd 2:2:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sdb: sdb1
sd 2:2:1:0: [sdb] Attached SCSI disk
sd 2:2:1:0: Attached scsi generic sg3 type 0


...when booting from the rescue CD the line which immediately follows is:

scsi3 : ioc0: LSI53C1020A A1, FwRev=01032700h, Ports=1, MaxQ=255, IRQ=16

which relates to:

sr0: scsi3-mmc drive: 24x/24x cd/rw xa/form2 cdda tray


I'll attach a full dmesg from the system booted with a disc in the drive, but the order of messages appears to be different here to when it fails (the scsi3 messages appear later).

I should also add that when the kernel freezes inserting a disc will not cause it to continue.  You have to start the boot with a disc in the drive.
Comment 1 Need Real Name 2008-12-19 04:31:05 EST
Simular to
https://bugzilla.redhat.com/show_bug.cgi?id=466607
Comment 2 Simon Andrews 2008-12-19 05:47:08 EST
I think the underlying cause is similar to #466607.  I've created the file /etc/sysconfig/mkinitrd and put in the line:

MODULES="scsi_wait_scan"

..and recreated the initrd and the machine now boots without a disc in the drive.  It seems therefore that the SCSI module isn't waiting long enough for the drive to initialise, and putting a disc in it allowed it to initialise slightly faster and boot.

Several other people seem to be reporting similar problems on the mailing list so I suspect that this is something which may affect a few different SCSI controllers.

For the record, lspci on this machine shows:

00:00.0 Host bridge: Intel Corporation 5000X Chipset Memory Controller Hub (rev 12)
00:02.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 2 (rev 12)
00:03.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 3 (rev 12)
00:04.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x8 Port 4-5 (rev 12)
00:05.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 5 (rev 12)
00:06.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x8 Port 6-7 (rev 12)
00:07.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 7 (rev 12)
00:10.0 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev 12)
00:10.1 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev 12)
00:10.2 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev 12)
00:11.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev 12)
00:13.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev 12)
00:15.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev 12)
00:16.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev 12)
00:1c.0 PCI bridge: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 (rev 09)
00:1d.0 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 (rev 09)
00:1d.1 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 (rev 09)
00:1d.2 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 (rev 09)
00:1d.3 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 (rev 09)
00:1d.7 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller (rev 09)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d9)
00:1f.0 ISA bridge: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller (rev 09)
00:1f.1 IDE interface: Intel Corporation 631xESB/632xESB IDE Controller (rev 09)
01:00.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID SAS 1078 (rev 04)
02:00.0 PCI bridge: Broadcom EPB PCI-Express to PCI-X Bridge (rev c3)
03:00.0 Ethernet controller: Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet (rev 12)
04:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port (rev 01)
04:00.3 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge (rev 01)
05:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 (rev 01)
05:01.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E2 (rev 01)
06:00.0 PCI bridge: Broadcom EPB PCI-Express to PCI-X Bridge (rev c3)
07:00.0 Ethernet controller: Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet (rev 12)
0a:00.0 PCI bridge: PLX Technology, Inc. PEX 8114 PCI Express-to-PCI/PCI-X Bridge (rev bc)
0b:08.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030 PCI-X Fusion-MPT Dual Ultra320 SCSI (rev c1)
0f:0d.0 VGA compatible controller: ATI Technologies Inc ES1000 (rev 02)
Comment 3 Bug Zapper 2009-11-18 04:01:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:00:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.